# Windows

Returns a collection of all windows created by your application.

This class is static.

This class acts like a read-only array.

`DIM hWindow AS Window hWindow = Windows [ Id AS Integer ]`

Returns a window from its X11 identifier.

This class is enumerable with the FOR EACH keyword.

`DIM hWindow AS Window FOR EACH hWindow IN Windows ... NEXT`

Enumerates each window created by your application.

Properties |
--- | ---
Count |